Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Vigil@nce - PolarSSL : acceptation de certificat expiré en timezone

avril 2014 par Vigil@nce

Ce bulletin a été rédigé par Vigil@nce : http://vigilance.fr/offre

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant peut créer un certificat illicite, qui est accepté comme étant valide par PolarSSL, afin d’inviter la victime à se connecter sur un serveur en Man-in-the-Middle.

- Produits concernés : Unix (plateforme)
- Gravité : 2/4
- Date création : 04/04/2014

DESCRIPTION DE LA VULNÉRABILITÉ

La bibliothèque PolarSSL implémente le protocole SSL/TLS. Elle doit effectuer des vérifications sur les certificats X.509.

Cependant, cette bibliothèque accepte un certificat avec une date de fin de validité expirée dans sa timezone.

Un attaquant peut donc créer un certificat illicite, qui est accepté comme étant valide par PolarSSL, afin d’inviter la victime à se connecter sur un serveur en Man-in-the-Middle.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

http://vigilance.fr/vulnerabilite/P...




Voir les articles précédents

    

Voir les articles suivants